%define name	clusterautosetup
%define	version	2.1
%define release 5mdk
%define lib_name_orig lib%{name}
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Summary:	Multiple scripts to setup server or client clic nodes.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Deploiment
URL:		http://clic.mandrakesoft.com
Packager: 	Antoine Ginies <aginies@mandrakesoft.com>
Source0:	setup_client_clic
Source1:	clusterautosetup-client
Source2:	AIDE_CLUSTER
Source3:	setup_nis_server
Source4:	setup_dns_server
Source5:	deluserNis
Source6:	adduserNis
Source7:	setup_server_clic
Source8:	setup_install_server
Source9:	clusterclient.conf
Source10:	clusterserver.conf
Source11:	dhcpnode
Source12:	setup_add_nodes_to_dhcp
Source13:	setup_dhcpdconf_server
Source14:	setup_pxe_server
Source15:	setup_auto_server
Source16:	setup_hdlists_server
Source17:	sauvegarde
Source18:	setup_add_media_http
Source19:	setup_add_media_ftp
Source20:	Wallpaper-clic-1024.jpg	
Source21:	Wallpaper-clic-1280.jpg
Source22:	Wallpaper-clic-800.jpg
Source23:	rapidnat
Source24:	setup_ka_deploy
Source25:	set_list_node
Source26:	clic-index.html
Source27:	clic-logo.png
Source28:	setup_postfix
Source29:	setup_modif_list_node
Source30:	user.menu
Source31:	setup_test_user
Requires:	tftp, bind-utils, sed, dhcpcd >= 1.3, bc
Provides:	%{name}-%{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}
Buildarch:	noarch

%description
Multiple scripts to setup CLIC cluster server or client nodes. 
Scripts server: setup_nis_server, setup_dns_server, deluserNis, 
adduserNis, setup_server_clic, setup_install_server, clusterserver.conf, 
dhcpnode, setup_add_nodes_to_dhcp, setup_dhcpdconf_server, 
setup_pxe_server, setup_auto_server, setup_hdlists_server.
Files in client package: setup_client_clic, clusterautosetup, 
clusterclient.conf.

%package        client
Summary:	Script to setup and retrieve information for client node.
Group:		System/Deploiment
Conflicts:	%{name}-server
prereq:		rpm-helper
Requires:	bind-utils, xli, ypbind, autofs, wget, openssh-clients, openssh-server, tftp, nfs-utils, gexec, xinitrc, rsh-server, ntp, mpich, lam-runtime, ka-deploy-source-node, OpenPBS-client


%description client
script to retrieve information ans setup client clic node from 
a server.  setup_add_media_http, setup_add_media_ftp, 
setup_client_clic setup_ka_deploy, clusterautosetup-client, 
clusterclient.conf.

%package server 
Summary:        Script to setup a server node.
Group:		System/Deploiment
Conflicts:	%{name}-client
Requires:	bind, bind-utils, proftpd, nfs-utils, ypserv, yp-tools,ypbind, pxe, tftp-server, xinetd, syslinux, make, dhcp-server, OpenPBS, openssh-server, openssh-clients, pxe, xli, ntp, ganglia-monitor-gmetad, urpmi-parallel-ka-run, apache, postfix, cdialog, iptables, xpdf, nedit

%description server
Script to auto setup a NIS, DNS, NFS, PXE, DHCPD, HDLIST, authd and ssh Keys.
setup_postfix, setup_modif_list_node, set_list_node setup_add_media_http
setup_add_media_ftp, rapidnat, setup_dns_server, setup_auto_server
setup_server_clic, setup_nis_server, setup_install_server, adduserNis
deluserNis, dhcpnode, setup_add_nodes_to_dhcp, setup_dhcpdconf_server
setup_pxe_server, setup_hdlists_server, sauvegarde, clusterserver.conf.

%prep
rm -rf ${buildroot}

%build

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_initrddir}
mkdir -p %{buildroot}/etc/X11
mkdir -p %{buildroot}/var/www/html
# mkdir -p %{buildroot}/%{_docdir}/%{name}-client-%{version}

# cp %{SOURCE2} %{buildroot}/%{_docdir}/%{name}-client-%{version}/README
install -m755 %{SOURCE0} %{buildroot}/%{_bindir}/setup_client_clic
install -m755 %{SOURCE1} %{buildroot}/%{_initrddir}/clusterautosetup-client
install -m755 %{SOURCE4} %{buildroot}/%{_bindir}/setup_dns_server
install -m755 %{SOURCE3} %{buildroot}/%{_bindir}/setup_nis_server
install -m755 %{SOURCE5} %{buildroot}/%{_bindir}/deluserNis
install -m755 %{SOURCE6} %{buildroot}/%{_bindir}/adduserNis
install -m755 %{SOURCE7} %{buildroot}/%{_bindir}/setup_server_clic
install -m755 %{SOURCE8} %{buildroot}/%{_bindir}/setup_install_server
install -m644 %{SOURCE9} %{buildroot}/%{_sysconfdir}/clusterclient.conf
install -m644 %{SOURCE10} %{buildroot}/%{_sysconfdir}/clusterserver.conf
install -m755 %{SOURCE11} %{buildroot}/%{_bindir}/dhcpnode
install -m755 %{SOURCE12} %{buildroot}/%{_bindir}/setup_add_nodes_to_dhcp
install -m755 %{SOURCE13} %{buildroot}/%{_bindir}/setup_dhcpdconf_server
install -m755 %{SOURCE14} %{buildroot}/%{_bindir}/setup_pxe_server
install -m755 %{SOURCE15} %{buildroot}/%{_bindir}/setup_auto_server
install -m755 %{SOURCE16} %{buildroot}/%{_bindir}/setup_hdlists_server
install -m755 %{SOURCE17} %{buildroot}/%{_bindir}/sauvegarde
install -m755 %{SOURCE19} %{buildroot}/%{_bindir}/setup_add_media_ftp
install -m755 %{SOURCE18} %{buildroot}/%{_bindir}/setup_add_media_http
install -m755 %{SOURCE20} %{buildroot}/etc/X11/clic-1024.jpg
install -m755 %{SOURCE21} %{buildroot}/etc/X11/clic-1280.jpg
install -m755 %{SOURCE22} %{buildroot}/etc/X11/clic-800.jpg
install -m755 %{SOURCE23} %{buildroot}/%{_bindir}/rapidnat
install -m755 %{SOURCE24} %{buildroot}/%{_bindir}/setup_ka_deploy
install -m755 %{SOURCE25} %{buildroot}/%{_bindir}/set_list_node
install -m755 %{SOURCE26} %{buildroot}/var/www/html/index.html
install -m755 %{SOURCE27} %{buildroot}/var/www/html/clic-logo.png
install -m755 %{SOURCE28} %{buildroot}/%{_bindir}/setup_postfix
install -m755 %{SOURCE29} %{buildroot}/%{_bindir}/setup_modif_list_node
install -m755 %{SOURCE30} %{buildroot}/etc/X11/user.menu
install -m755 %{SOURCE31} %{buildroot}/%{_bindir}/setup_test_user

%post client
%_post_service clusterautosetup-client

%preun client
%_preun_service clusterautosetup-client

%clean
rm -fr %{buildroot}

%files client
%defattr(-,root,root) 
# %doc README
%{_bindir}/setup_add_media_http
%{_bindir}/setup_add_media_ftp
%{_bindir}/setup_client_clic
%{_bindir}/setup_ka_deploy
%attr(755,root,root) %{_initrddir}/clusterautosetup-client
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/clusterclient.conf
%attr(644,root,root) /etc/X11/clic-1024.jpg
%attr(644,root,root) /etc/X11/clic-1280.jpg
%attr(644,root,root) /etc/X11/clic-800.jpg

%files server
%defattr(-,root,root) 
# %doc README
%{_bindir}/setup_postfix
%{_bindir}/setup_modif_list_node
%{_bindir}/set_list_node
%{_bindir}/setup_add_media_http
%{_bindir}/setup_add_media_ftp
%{_bindir}/rapidnat
%{_bindir}/setup_dns_server
%{_bindir}/setup_auto_server
%{_bindir}/setup_server_clic
%{_bindir}/setup_nis_server
%{_bindir}/setup_install_server
%{_bindir}/adduserNis
%{_bindir}/deluserNis
%{_bindir}/dhcpnode
%{_bindir}/setup_add_nodes_to_dhcp
%{_bindir}/setup_dhcpdconf_server
%{_bindir}/setup_pxe_server
%{_bindir}/setup_hdlists_server
%{_bindir}/sauvegarde
%{_bindir}/setup_test_user
%attr(644,root,root) /etc/X11/clic-1024.jpg
%attr(644,root,root) /etc/X11/clic-1280.jpg
%attr(644,root,root) /etc/X11/clic-800.jpg
%attr(644,root,root) /etc/X11/user.menu
%attr(644,apache,apache) /var/www/html/index.html
%attr(644,apache,apache) /var/www/html/clic-logo.png
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/clusterserver.conf

%changelog
* Fri Feb 14 2003 Antoine Ginies <aginies@mandrakesoft.com> 2.1-5mdk
- more test in setup_test_user script
* Fri Feb 14 2003 Antoine Ginies <aginies@mandrakesoft.com> 2.1-4mdk
- correct setup_test_user script
- add prereq on rpm-helper
- correct all strange permissio in srpm
* Fri Feb 14 2003 Antoine Ginies <aginies@mandrakesoft.com> 2.1-3mdk
- correct rapidnat script
* Fri Feb 14 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 2.1-2mdk
- correct setup_dns_server 
* Fri Dec 20 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.1-1mdk
- add setup_test_user
* Fri Dec 20 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-22mdk
- minor correction in setup_modif_list_node
- Removing user.menu
* Thu Dec 19 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-21mdk
- setup_auto_server now launch pbs and maui script
- setup_modif_list_node detect empty list
- nodes_list.orig is created by setup_server_clic
- include a dialog box to setup maui password
* Thu Dec 19 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-20mdk
- fix bug and requires 
* Thu Dec 19 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-19mdk
- update setup_modif_list_node
* Wed Dec 18 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-18mdk
- add xpdf require
* Wed Dec 18 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-17mdk
- Adding user.menu entry for WindowMaker
* Wed Dec 18 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-16mdk
- fixing sorting problem on setup_modif_list_node 
* Mon Dec 16 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-15mdk
- add setup_modif_list_node
- add requires cdialog, iptables
- correct check iptables in rapidnat
- now client are autoconfigured with PBS server
* Fri Dec 13 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-14mdk
- Fixing numbers problem in node's name
- Adding freedos support in pxe
* Thu Dec 12 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-13mdk
- Fixing typo for ganglia
- Adding postfix require on server side
- Adding freedos support for pxe
* Thu Dec 12 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-12mdk
- Fixing requires for ganglia 2.5.1
- Fixing scripts for ganglia 2.5.1
- Correct pb in clusterserver.con
- Correct log of setup_postfix
* Wed Dec 11 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-11mdk
- add clic and external interface in clusterserver.conf 
- add setup_postfix (provide by padbol)
* Tue Dec 10 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-10mdk
- add setup_add_media_http and remove setup_update_media_ftp
- correct chmod and chown for index.html and clic-logo.png
* Tue Dec 10 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-9mdk
- correct call to undefined function
- remove sleep time in set_list_node
* Tue Dec 10 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-8mdk
- add index.html, default web page for server 
* Tue Dec 10 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-7mdk
- again add requires for client and server
* Mon Dec 09 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-6mdk
- addrequires
* Thu Dec 05 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-5mdk
- few correction in set_list_node 
* Wed Dec 04 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-4mdk
- rename modif_list_node to set_list_node
- remove generation of config file from setup_server_clic
* Tue Dec 03 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-3mdk
- Fixing Requires
* Tue Dec 03 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-2mdk
- correct generation of urpmi // file
* Tue Dec 03 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-1mdk
- add modif_list_node script :-)
* Tue Dec 03 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.7-9mdk
- Fixing guibo's dns script (starting named whereas it's already
  running)
* Tue Dec 03 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.7-8mdk
- Fixed "cp" in "cp -f" and "grep -v" to "grep -vi"
* Mon Dec 02 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.7-7mdk
- Adding a new user to pbs, mpi, pvm group
* Thu Nov 28 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.7-6mdk
- Removing framebuffer in ka image, creating a no fb boot image 
* Wed Nov 27 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.7-5mdk
- correct nis_config of node
* Tue Nov 26 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.7-4mdk
- Fixing typo 
* Tue Nov 26  2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.7-3mdk
- Fixing update-alternative bug for /lib/cpp
* Mon Nov 25 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.7-2mdk
- Fixing ka-deploy script: removing fstab entry
- Fix eject cdrom in setup_auto_server
- add require xli for server
- fix default index.html for dns
* Mon Nov 25 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.7-1mdk
- Adding ka-deploy script
* Mon Nov 25 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-18mdk
- Added lam support
* Wed Nov 20 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-17mdk
- correct setup_nis_server (pb of yp.conf)
- adjust PBS value in clusterserver.conf (default admin root@localhost)
* Thu Oct 24 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-16mdk
- add support for distcc
- correct problem of link with dns webpage (doc alias)
* Wed Oct 23 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-15mdk
- correct retrieve of hdlists in setup_install_server 
* Tue Oct 22 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-14mdk
- be sure to have the last one
* Tue Oct 22 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-13mdk
- add NKA variable in /etc/profile (simplify use of rshp and urpmi)
- correct error in help of setup_client_clic
- add link to ganglia monitor and documentation on web server
* Tue Oct 22 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-12mdk
- correct generation of parallel.cfg in setup_server_clic 
* Tue Oct 22 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-11mdk
- add wget in requires
* Mon Oct 21 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-10mdk
- correct setup_dns_server (strange problem) 
* Tue Oct 15 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-9mdk
- Fixing missing nisdomainname
- Fixing urpmi parallel
* Tue Oct 15 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-8mdk
- Fixing domainname with dnsdomainname 
* Tue Oct 15 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-7mdk
- Adding urpmi parallel configuration
* Thu Oct 10 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-6mdk
- correct option for nfs with sync 
* Wed Oct 09 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-5mdk
- correct tftpbase to /var/lib/tftp
* Tue Oct 08 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.6-4mdk
- correct setup_dns_server pb of restart service
- rename rapidfirewall rapidnat and add ip_forward 
* Tue Aug 6  2002 Antoine Ginies <aginies@mandrakesoft.com> 1.6-3mdk
- correct requires tag 
* Thu Aug 1 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.6-2mdk
- correct some minor information in scripts
* Thu Aug 1 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.6-1mdk
- fix setup_auto_server, and add new information
* Thu Aug 1 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.5-7mdk
- user must valid by ENTER key between script
* Wed Jul 31 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.5-6mdk
- fixing major bug in setup_server_clic in gennode function :-) 
* Wed Jul 31 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.5-5mdk
- correct section PBS in clusterserver.conf 
* Tue Jul 30 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.5-4mdk
- correct adduserNIS to cretae the good backup dir
- correct xdm config to see chooser login in 800x600
* Thu Jul 25 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.5-3mdk
- correct setup_update_media_ftp (thx R1)
* Thu Jul 25 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.5-2mdk
- correct setup_hdlists_server
- correct setup_add_nodes_to_dhcp
* Wed Jul 24 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.5-1mdk
- correct bug in nis and dns :-)
* Wed Jul 24 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.4-4mdk
- correct setup_hdlists_server
* Tue Jul 23 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.4-3mdk
- correct sauvegarde and setup_server_clic scripts 
* Tue Jul 23 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.4-2mdk
- add noise and correct pb of cpu load in setup_add_node script
* Tue Jul 23 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.4-1mdk
- add beep in dhcpnode script
* Tue Jul 23 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.3-3mdk
- add rapidfirewall script
* Tue Jul 23 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.3-2mdk
- adjust some scripts
* Mon Jul 22 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.3-1mdk
- adjust sauvegarde script to work in user mode
- correct setup_update_media_ftp setup_add_media_ftp scripts
* Mon Jul 22 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.2-8mdk
- correct script to add more information
* Fri Jul 19 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.2-7mdk
- correct sauvegarde script 
* Thu Jul 18 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.2-6mdk
- fix scripts to add or update ftp media
* Thu Jul 18 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.2-5mdk
- fix problem of Hostname in setup_client_clic
* Thu Jul 18 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.2-4mdk
- add image in all packages
* Thu Jul 18 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.2-3mdk
- add xdm config
* Thu Jul 18 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.2-2mdk
- fix script setup_add_media setup_update_media
* Thu Jul 18 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.2-1mdk
- correct problem with OpenPBS and ARP request
- add .xinitrc in Home user, with clic Background
* Wed Jul 17 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.1-6mdk
- correct setup_auto_server to avoid problem of arp request  
- add pamdX function to accept X launch from a user@server
* Wed Jul 17 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.1-5mdk
- correct require for client and server package
* Wed Jul 17 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.1-4mdk
- correct ganglia setup
* Mon Jul 15 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.1-3mdk
- replace obsoletes by conflicts tag to avoid installation of client 
  and server packages on a same machine (problem with autofs on server)
- add setup_addmedia_client setup_update_hdlist scripts
- fix setup_hdlists_server to find INSTALLDIR
- fix setup_server_clic to remove set_gw fonction
* Mon Jul 15 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.1-2mdk
- fix nis problem
- fix remove media problem
- fix add dhcp problem
* Mon Jul 15 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.1-1mdk
- package to test all scripts and debug DNS problem
* Thu Jul 11 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.17mdk
- fix gmond and gmetad restart to avoid pb of IPGW in setup_server_clic
- adjust info in all scripts
- gennodelist fonction now reset the list of nodes for PBS
- fix setup_hdlists_server to provide correct number of packages
* Wed Jul 10 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.16mdk
- fix problem of add a node for GEXEC in setup_server_clic script
* Wed Jul 10 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.15mdk
- fix setup_client_clic to avoid autofs problem
- fix clusterautosetup-client initiscript
* Wed Jul 10 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.14mdk
- build on 8.2
* Wed Jul 10 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.13mdk
- fix setup_server_clic script 
* Wed Jul 10 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.12mdk
- fix IPGW in clusterserver.conf (route -n)
- setup PBS on Number of NODES
- fix for IPGW in setup_dhcpdconf_server
- fix setup_add_nodes_to_dhcp (annoucing new node for knowed MAC)
- test for a default gateway in setup_server_clic
- include sauvegarde scripts
* Mon Jul 8 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.11mdk
- add obsoltes tag in spec to avoid conflict from client and 
  server packages
- fix setup_install_server, to not remove old installdir
- add more information in setup_hdlists_server scripts
- fix setup_pxe_server: add build and setup functions
* Mon Jul 8 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.10mdk
- update setup_add_nodes_to_dhcp scripts
* Mon Jul 8 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.9mdk
- add missing file setup_hdlists_server :-)
* Mon Jul 8 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.8mdk
- add setup_auto_server and setup_hdlists_server scripts
- add a default gateway (IPGW) in clusterserver.conf
- add a default (TFTPSERVER) in clusterserver.conf
* Sun Jul 7 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.7mdk
- fix clusterit cpcp ENV
* Sun Jul 7 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.6mdk
- fix clusterit ENV 
- fix deluserNis to check mounted home user directory
* Sun Jul 7 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.5mdk
- add support of clusterit in setup_server_clic 
* Sat Jul 6 2002 Erwan Velu <erwan@mandrakesoft.com> 1.0.4mdk
- Fixing setup_pxe_server script
- Fixing default runlevel
- Fixing autofs in setup_nis_server !
* Sat Jul 6 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.3mdk
- correct minor bug in setup_client_clic
* Sat Jul 6 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.2mdk
- fix bad VAR in setup_dhcpdconf_server
* Fri Jul 5 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0.1mdk
- fix bug in setup_server_clic that hang gexec
* Fri Jul 5 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.9.2mdk
- correct minor bug in scripts
* Fri Jul 5 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.9.1mdk
- add many features to all scripts
* Fri Jul 5 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.8.4mdk
- fixing scripts 
* Fri Jul 5 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.8.3mdk
- Fixing rhost, adduserNis, gennode
* Fri Jul 5 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.8.2mdk
- fix bug in dhcpnode
* Fri Jul 5 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.8.1mdk
- add many features to all scripts
* Thu Jul 4 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.7.5mdk
- add dhcpnode setup_add_nodes_to_dhcp
  setup_pxe_server setup_dhcpdconf_server script 
* Thu Jul 4 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.7.4mdk
- add TFTPSERVER INTERFACE_DHCP in clusterserver.conf
* Thu Jul 4 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.7.3mdk
- adjust deluserNis
- correct major error in setup_server_clic script
* Thu Jul 4 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.7.2mdk
- adjust permission on files
* Thu Jul 4 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.7.1mdk
- add clusterserver.conf and clusterclient.conf
- adjust all script to get their own VAR
* Wed Jul 3 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.6.1mdk
- correction in setup_client_clic and setup_nis_server 
* Wed Jul 3 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.5.4mdk
- update of scripts
* Wed Jul 3 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.5.3mdk
- adjust some minor bug in setup_dns_server and 
  setup_nis_server scripts 
- rewrite setup_server_clic to correct amny problem
- add setup_install_server
* Tue Jul  2 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.5.2mdk
- add a test of IP out of value in setup_dns_server
* Tue Jul  2 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.4-5mdk
- add setup_server_clic 
* Tue Jul  2 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.4-4mdk
- check RANGE ip in setup_dns_server
- add Warning of restarting nfs service in setup_nis_server 
* Tue Jul  2 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.4-3mdk
- improve setup_dns_server script
* Tue Jul  2 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.4-2mdk
- add adduserNis and deluserNis script (thx admins of mdk)
* Tue Jul  2 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.4-1mdk
- add setup_dns_server and setup_nis_server script
* Fri Jun 28 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.3-2mdk
- add require dhcpcd 
* Fri Jun 28 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.3-1mdk
- update setup_client_clic script
* Thu Jun 27 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2-1mdk
- remove some service not neeeded in clic
* Thu Jun 27 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.1-1mdk
- retrieve public authd and ssh key on server
